%define major 1
%define libxscrnsaver %mklibname xscrnsaver %{major}
%define devxscrnsaver %mklibname xscrnsaver -d

Name: libxscrnsaver
Summary:  The XScrnSaver Library
Version: 1.2.4
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/lib/libXScrnSaver-%{version}.tar.xz

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: x11-util-macros

%description
The XScrnSaver Library

#-----------------------------------------------------------

%package -n %{libxscrnsaver}
Summary:  The XScrnSaver Library
Group: Development/X11
Provides: %{name} = %{version}
Provides: libXScrnSaver = %{version}

%description -n %{libxscrnsaver}
The XScrnSaver Library

%files -n %{libxscrnsaver}
%{_libdir}/libXss.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{devxscrnsaver}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxscrnsaver} = %{version}-%{release}
Provides: libxscrnsaver-devel = %{version}-%{release}
Obsoletes: %{_lib}xscrnsaver1-devel < 1.2.2-3
Obsoletes: %{_lib}xscrnsaver1-static-devel < 1.2.2-3

%description -n %{devxscrnsaver}
Development files for %{name}

%files -n %{devxscrnsaver}
%{_libdir}/libXss.so
%{_libdir}/pkgconfig/xscrnsaver.pc
%{_mandir}/man3/XScreenSaver*
%{_mandir}/man3/Xss*
%{_includedir}/X11/extensions/scrnsaver.h

#-----------------------------------------------------------

%prep
%setup -q -n libXScrnSaver-%{version}

%build
#to recognize aarch64
autoreconf -vfi
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete



%changelog
* Fri Dec 09 2022 luigiwalser <luigiwalser> 1.2.4-1.mga9
+ Revision: 1919974
- 1.2.4

* Sat Mar 19 2022 umeabot <umeabot> 1.2.3-5.mga9
+ Revision: 1800550
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 1.2.3-4.mga8
+ Revision: 1524220
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Wed Mar 27 2019 kekepower <kekepower> 1.2.3-3.mga7
+ Revision: 1380482
- Add Provides for libXScrnSaver

* Sun Sep 23 2018 umeabot <umeabot> 1.2.3-2.mga7
+ Revision: 1299270
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 tv <tv> 1.2.3-1.mga7
+ Revision: 1246754
- new release

* Mon Jun 11 2018 pterjan <pterjan> 1.2.2-8.mga7
+ Revision: 1236380
- Rebuild for aarch64 fix

* Fri Feb 05 2016 umeabot <umeabot> 1.2.2-7.mga6
+ Revision: 937870
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-6.mga5
+ Revision: 747030
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-5.mga5
+ Revision: 681898
- Mageia 5 Mass Rebuild

* Sat Mar 08 2014 wally <wally> 1.2.2-4.mga5
+ Revision: 601360
- BR x11-util-macros
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.2.2-3.mga4
+ Revision: 469354
- drop major from devel pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- drop static devel pkg

* Sat Jan 12 2013 umeabot <umeabot> 1.2.2-2.mga3
+ Revision: 358631
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.2.2-1.mga2
+ Revision: 222273
- new release

* Mon Nov 21 2011 dmorgan <dmorgan> 1.2.1-3.mga2
+ Revision: 170175
- Remove .la files

* Sat Jan 08 2011 blino <blino> 1.2.1-2.mga1
+ Revision: 994
- remove old buildrequires and ldconfig scriptlets
- imported package libxscrnsaver


* Sat Oct 30 2010 Thierry Vignaud <tv@mandriva.org> 1.2.1-1mdv2011.0
+ Revision: 590418
- new release

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-3mdv2010.1
+ Revision: 520972
- rebuilt for 2010.1

* Thu Sep 17 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.2.0-2mdv2010.0
+ Revision: 444039
- Require x11-proto-devel >= 7.4-25mdv because /usr/include/X11/xscrnsaver.h moved
  from x11-proto-devel to libxscrnsaver-devel (to avoid 2 packages owning the same
  file)

* Wed Sep 02 2009 Thierry Vignaud <tv@mandriva.org> 1.2.0-1mdv2010.0
+ Revision: 424584
- adjust file list
- new release

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.1.3-2mdv2009.0
+ Revision: 265005
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 1.1.3-1mdv2009.0
+ Revision: 192990
- new release

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Thu Jan 17 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.2-2mdv2008.1
+ Revision: 154202
- Updated BuildRequires and resubmit package.

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Feb 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.1.2-1mdv2007.0
+ Revision: 121725
- fix file lsit
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

